/*
 * Header file for pcr Write/Read routines
 */

#include <linux/pci.h>

static int read_pcr(unsigned int port);
static void write_pcr(unsigned char data[], unsigned int port);
void send_ZERO(void);
void send_ONE(void);
void send_DEVICE_address_WRITE(void);
void send_DEVICE_address_READ(void);
void send_EEPROM_address(void);;
int check_ack(void);
void send_START(void);
void read_BYTE(char *ptr);
void read_LASTBYTE(char *ptr);
int read_EEPROM(char *ptr);
int check_EEPROM_words(char *ptr);
int check_EEPROM(void);


unsigned int pcr_PORT;
unsigned char headertype;
unsigned int id;
int I2C_PORT;
struct pci_dev *dev;
